# Flask Web Interface


## Contenido
web-interface: Sitio web básico hecho con Flask y Python3.

## Instalación

### Debian

En una VM con debian fresco y recien instalado, es posible realizar la instalación del servidor web utilizando el script el script `Setup.sh` con privilegios de root. Cabe notar, que el script es solo como una referencia y no debe ser considerado un instalador.

### Docker

El sitio también incluye un archivo `Dockerfile` que permite crear un contenedor listo con el sitio web de prueba. De igual manera el archivo `Dockerfile` es provisto a manera de ejemplo para ser modificado en un desarrollo.

#### Crear contenedor

Para crear el contenedor se debe ejecutar el siguiente comando en el directorio donde se encuentra el archivo `Dockerfile`:

`docker build . -t micontenedor`

Donde `micontenedor` representa una etiqueta que se le dará al contenedor dentro de tu instancia de docker.

#### Ejecutar contenedor

El servidor web por defecto funciona en el puerto 8000, por lo que es necesario exportar lo al iniciar el contenedor. Una vez creado el contenedor, se puede correr utilizando:

`docker run -p 8000:8000 micontenedor`


## Licencia
El proyecto tiene licencia GPL3 para fines educacionales. 
